Dancer::Logger::Diag(3pm)

NAME
Dancer::Logger::Diag - Test::More diag() logging engine for Dancer

VERSION
version 1.3522

SYNOPSIS

DESCRIPTION
This logging engine uses Test::More's diag() to output as TAP comments.

This is very useful in case you're writing a test and want to have logging messages as part of your TAP.

METHODS

  init
This method is called when "->new()" is called. It just loads Test::More lazily.

  _log
Use Test::More's diag() to output the log message.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.